Build payments into your product with TPE virtual. Start integrating →
Logo

Brands

Manage the brands under an identification.

GET/brands

Authorization

oauth2 kyc:read
AuthorizationBearer <token>

A short-lived token for one installation.

In: header

Scope: kyc:read

Query Parameters

page?integer
per_page?integer

At most 100.

search?string

Text to look for.

identification_id?string

Filter by identification.

sort_by?string

Field to sort by.

sort_dir?string

Sort direction.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.mytpe.app/api/ext/brands" \  -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "owner": {},
      "name": "string",
      "file": "string",
      "logo": "string",
      "status": "pending",
      "reason": "string",
      "identification_id": "a56e8e84-dbe6-4202-a30e-1c3cb0ec2163",
      "identification": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
      },
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "current_page": 0,
    "last_page": 0,
    "per_page": 100,
    "total": 0,
    "from": 0,
    "to": 0,
    "path": "string",
    "links": []
  },
  "links": {
    "first": "string",
    "last": "string",
    "prev": "string",
    "next": "string"
  }
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
POST/brands

Authorization

oauth2 kyc:write
AuthorizationBearer <token>

A short-lived token for one installation.

In: header

Scope: kyc:write

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.mytpe.app/api/ext/brands" \  -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN" \  -F "name=Your name" \  -F "identification_id=your-identification-id" \  -F "file=@your-file.pdf" \  -F "logo=@your-file.pdf"
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "owner": {},
    "name": "string",
    "file": "string",
    "logo": "string",
    "status": "pending",
    "reason": "string",
    "identification_id": "a56e8e84-dbe6-4202-a30e-1c3cb0ec2163",
    "identification": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string"
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "meta": {},
  "error": null
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
GET/brands/{brand}

Authorization

oauth2 kyc:read
AuthorizationBearer <token>

A short-lived token for one installation.

In: header

Scope: kyc:read

Path Parameters

brand*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.mytpe.app/api/ext/brands/your-brand" \  -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN"
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "owner": {},
    "name": "string",
    "file": "string",
    "logo": "string",
    "status": "pending",
    "reason": "string",
    "identification_id": "a56e8e84-dbe6-4202-a30e-1c3cb0ec2163",
    "identification": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string"
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "meta": {},
  "error": null
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
DELETE/brands/{brand}

Authorization

oauth2 kyc:write
AuthorizationBearer <token>

A short-lived token for one installation.

In: header

Scope: kyc:write

Path Parameters

brand*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.mytpe.app/api/ext/brands/your-brand" \  -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN"
{
  "message": "string"
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
PUT/brands/{brand}

Authorization

oauth2 kyc:write
AuthorizationBearer <token>

A short-lived token for one installation.

In: header

Scope: kyc:write

Path Parameters

brand*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.mytpe.app/api/ext/brands/your-brand" \  -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN" \  -H "Content-Type: application/json" \  -d '{"name": "Your name"}'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "owner": {},
    "name": "string",
    "file": "string",
    "logo": "string",
    "status": "pending",
    "reason": "string",
    "identification_id": "a56e8e84-dbe6-4202-a30e-1c3cb0ec2163",
    "identification": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string"
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "meta": {},
  "error": null
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}

On this page